#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 stack
version:              2.9.1
visibility:           public
id:                   stack-2.9.1-JPnY5jmNFGhIiz8cKtgGOS
key:                  stack-2.9.1-JPnY5jmNFGhIiz8cKtgGOS
license:              BSD-3-Clause
maintainer:           manny@fpcomplete.com
author:               Commercial Haskell SIG
homepage:             http://haskellstack.org
synopsis:             The Haskell Tool Stack
description:
    Please see the documentation at <https://docs.haskellstack.org>
    for usage information.

    If building a '\''stack'\'' executable for distribution, please download the
    source code from <https://github.com/commercialhaskell/stack/releases>
    and build it using Stack itself in order to ensure identical behaviour
    to official binaries.  This package on Hackage is provided for convenience
    and bootstrapping purposes.

    Note that the API for the library is not currently stable, and may
    change significantly, even between minor releases. It is
    currently only intended for use by the executable.

category:             Development
abi:                  2be071b2a1e96f96f5ab1e65718a55d3
exposed:              True
exposed-modules:
    Control.Concurrent.Execute Data.Attoparsec.Args
    Data.Attoparsec.Combinators Data.Attoparsec.Interpreter
    Data.Monoid.Map Network.HTTP.StackClient Options.Applicative.Args
    Options.Applicative.Builder.Extra Options.Applicative.Complicated
    Path.CheckInstall Path.Extra Path.Find Paths_stack Stack.Build
    Stack.Build.Cache Stack.Build.ConstructPlan Stack.Build.Execute
    Stack.Build.Haddock Stack.Build.Installed Stack.Build.Source
    Stack.Build.Target Stack.BuildPlan Stack.Clean Stack.Config
    Stack.Config.Build Stack.Config.Docker Stack.Config.Nix
    Stack.ConfigCmd Stack.Constants Stack.Constants.Config
    Stack.Coverage Stack.DefaultColorWhen Stack.Docker Stack.Dot
    Stack.FileWatch Stack.GhcPkg Stack.Ghci Stack.Ghci.Script
    Stack.Hoogle Stack.IDE Stack.Init Stack.List Stack.Lock Stack.Ls
    Stack.New Stack.Nix Stack.Options.BenchParser
    Stack.Options.BuildMonoidParser Stack.Options.BuildParser
    Stack.Options.CleanParser Stack.Options.Completion
    Stack.Options.ConfigParser Stack.Options.DockerParser
    Stack.Options.DotParser Stack.Options.ExecParser
    Stack.Options.GhcBuildParser Stack.Options.GhcVariantParser
    Stack.Options.GhciParser Stack.Options.GlobalParser
    Stack.Options.HaddockParser Stack.Options.HpcReportParser
    Stack.Options.LogLevelParser Stack.Options.NewParser
    Stack.Options.NixParser Stack.Options.PackageParser
    Stack.Options.ResolverParser Stack.Options.SDistParser
    Stack.Options.ScriptParser Stack.Options.TestParser
    Stack.Options.UploadParser Stack.Options.Utils Stack.Package
    Stack.PackageDump Stack.Path Stack.Prelude Stack.Runners
    Stack.SDist Stack.Script Stack.Setup Stack.Setup.Installed
    Stack.SetupCmd Stack.SourceMap Stack.Storage.Project
    Stack.Storage.User Stack.Storage.Util Stack.Types.Build
    Stack.Types.Compiler Stack.Types.CompilerBuild Stack.Types.Config
    Stack.Types.Config.Build Stack.Types.Docker Stack.Types.GhcPkgId
    Stack.Types.NamedComponent Stack.Types.Nix Stack.Types.Package
    Stack.Types.PackageName Stack.Types.Resolver Stack.Types.SourceMap
    Stack.Types.TemplateName Stack.Types.Version Stack.Unpack
    Stack.Upgrade Stack.Upload System.Info.ShortPathName
    System.Permissions System.Process.Pager System.Terminal

hidden-modules:       Path.Extended Stack.Types.Cache System.Uname
import-dirs:          /usr/lib/ghc-9.4.8/site-local/stack-2.9.1
library-dirs:         /usr/lib/ghc-9.4.8/site-local/stack-2.9.1
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/stack-2.9.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/stack
hs-libraries:         HSstack-2.9.1-JPnY5jmNFGhIiz8cKtgGOS
depends:
    Cabal-3.8.1.0 aeson-2.1.2.1-KaceSWeAWkBK9urIr7RMHq
    annotated-wl-pprint-0.7.0-Bbb9GOQJoVZEpSwInbNN3i
    ansi-terminal-1.0.2-EhzJoAzi53XHL1K3CBirLP array-0.5.4.0
    async-2.2.5-63qhz2egf712xrTPAnr2Zj
    attoparsec-0.14.4-x6mFqXglGqIZ8dJ9fSoCx base-4.17.2.1
    base64-bytestring-1.2.1.0-3I8EkZDRuR97orcJ5EVOv5
    bytestring-0.11.5.3 casa-client-0.0.1-A58Q377dU8B2DsjgqtWpSW
    casa-types-0.0.2-LS7CjxvEAWr4NhGvZ1LH0v
    colour-2.3.6-7p7yRfyD908JBhi5ZnpeHF
    conduit-1.3.6.1-HAJpY08cc65Cd4m5QP3X4q
    conduit-extra-1.3.6-CPHOsyPWtJ828Ihw7K9kVr containers-0.6.7
    crypton-0.34-HHddr4tw8Dn7EDcNBY7DnJ
    crypton-conduit-0.2.3-HF0W7HVaWRV9zsCnRfRPlE deepseq-1.4.8.0
    directory-1.3.7.1 echo-0.1.4-HrG6UGs9bUNIRHTRpjaAQ
    exceptions-0.10.5 extra-1.7.16-4WF0DtFHRdE4WLzCEPFozO
    file-embed-0.0.15.0-7OnjuFj6gBM9fqBKJCVXdU
    filelock-0.1.1.7-K9NDPidNJ6776qpzG2s0tE filepath-1.4.2.2
    fsnotify-0.3.0.1-CpiLbRUpxmGIoGzHkXR21a
    generic-deriving-1.14.5-67U3GtPXeqv2blBFBEFrg9
    hackage-security-0.6.2.6-5XIARoTndYQ8IFZTZOEv8o
    hashable-1.4.4.0-9MfualSpDNWnshBkTCGL2
    hi-file-parser-0.1.7.0-jU1EFH8p0mBtQlYuXgqRp
    hpack-0.35.2-EoeKJ1KrVQxE6zh5QUbPq9 hpc-0.6.1.0
    http-client-0.7.17-Dq9DKpPNcLC4AQxJXgluzq
    http-client-tls-0.3.6.4-HW63hNo6J3PJBM6XBauojp
    http-conduit-2.3.9.1-BECVSAFgJJGGScsaDXJnhA
    http-download-0.2.1.0-CxztrEyhBdoEcDtfj5BReL
    http-types-0.12.4-57pHf4hFiOh2bb0nmyfV8P
    memory-0.18.0-1oHOZXUPjWrG0kImkORGvt
    microlens-0.4.13.1-BCmTOusOWAwKF1xfvNhRYd
    mintty-0.1.4-AuJ2EgpOQbhHDGkFzZNT4J
    mono-traversable-1.0.21.0-9YMCow3sn9n9HKWLg5F34v mtl-2.2.2
    mustache-2.4.2-2VgxIYVlVev2n45o1DeSaL
    neat-interpolation-0.5.1.4-C6TcVYqLbVD8NpeK6cJh8y
    network-uri-2.6.4.2-2zvAvfFkls42ip9Twf1aZ
    open-browser-0.2.1.1-JxaFXLEqga6LFagqIfuNya
    optparse-applicative-0.17.1.0-1zwl3BwOIHmKNlRMhkhfu3
    pantry-0.5.7-7sNyICYPoLw3jX4COI3BHC
    path-0.9.5-8IKMYCe47n96Rj75Zp541L
    path-io-1.8.2-BwSp9TpQddQGHOZH2NktQz
    persistent-2.14.5.1-B7Dfv8M97R9GtfsB7Sm6DN
    persistent-sqlite-2.13.1.0-2uJJ1IS9UZeJMeJtPIFC7a pretty-1.1.3.6
    primitive-0.8.0.0-7hRrrVot93LKTsSUGSTocq process-1.6.18.0
    project-template-0.2.1.0-D0n0gXHduLw7jGvutAs5Eu
    random-1.2.1.2-7EfGGurDIwzGPzdRKPRaLg
    retry-0.9.3.1-2qPctPpvZfrKQmNtsNEHYZ
    rio-0.1.22.0-1cv6aMmM9QcJxgDHrVC1R3
    rio-prettyprint-0.1.7.0-GduIvxOJ34IL90BN3sNDBx
    split-0.2.5-HpMLqVZDDpD6ikSNqZEnQ0 stm-2.5.1.0
    streaming-commons-0.2.3.0-3nSr0O5rGhj3FyAyoP6GJ5
    tar-0.5.1.1-IyuCn6zh5uo10S2IbYtUp4 template-haskell-2.19.0.0
    temporary-1.3-BnIeBruHT6xCqQG5UlEDyV text-2.0.2
    text-metrics-0.3.2-6BH0JrvQSNlHWSamTwZaVy
    th-reify-many-0.1.10-H8OADU0jKosLcSSH47mTPY time-1.12.2
    tls-1.9.0-79ZQjZAQ8jxBdKdzEpgP9z transformers-0.5.6.2
    typed-process-0.2.12.0-B4C7SggNGeK9xYdsuPPfJv
    unicode-transforms-0.4.0.1-CbMMTfpcjwR3UOuii3RNJY unix-2.7.3
    unix-compat-0.7.3-ILfkwL4pHaK6MLsi38S1eQ
    unliftio-0.2.25.1-AXRi31Q55nfHgGjBnzlMpR
    unordered-containers-0.2.20-LkuwqgGHy2J6l9MBSYA9kS
    vector-0.13.1.0-GCmMsLcrTyFGJ15LkY6umX
    yaml-0.11.11.2-k5JnsslwX48CYsOhNsqzT
    zip-archive-0.4.3.2-FVVjIp5ZnKUGV107gccQlm
    zlib-0.6.3.0-hspY0wMfdmLMAtfFc4wlA

haddock-interfaces:   /usr/share/doc/stack/html/stack.haddock
haddock-html:         /usr/share/doc/stack/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

